**Security coverage is coming after the cooldown period.**

This module integrates Search API into <a href="https://www.vragen.ai/">Vragen.ai</a> for indexing of documents.

## Installation
Install and enable the module:

```shell
composer require swisnl/vragenai-drupal-search-api-module
drush pm:enable vragen_ai
```

## Authentication
To enable this module to communicate with Vragen.ai's API it will need 2 things:
1. The correct endpoint created specifically for your organization.
2. The Bearer-token to authorize requests with.

This information can submit using the form found on: **/admin/config/search/vragen-ai**

### Alternative authentication setup for developers and system-admins
If you are using environment-secrets and have permission to manage them you can also add:
```shell
VRAGENAI_API_ENDPOINT=https://[DOMAIN].vragen.ai/api/v1/
VRAGENAI_API_TOKEN=[API-BEARER-TOKEN]
```

## Configuration
1. Create new **Server**, with name "Vragen.ai"
2. Create new **Index**, adjust the following settings:
    - **Databronnen**: "Inhoud" 
    - **Bundels voor Inhoud**: De inhoudstypen die je geïndexeerd wil hebben.
    - **Talen**: Nederlands 
    - **Index items immediately**: "uit"  
    Note: You can leave this enabled, but it will start sending HTTP-requests to the backend immediately.
3. Configure and add all fields that are part of the index.  
   _We advice to render to HTML so the backend is able to recognize semantics._
